Bug 1266178 - dnf repoquery --installed overrides --whatrequires
dnf repoquery --installed overrides --whatrequires
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 13:06 EDT by Nick Coghlan
Modified: 2015-11-23 04:46 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 04:46:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2015-09-24 13:06:32 EDT
Description of problem:

After upgrading to the F23 beta, I wanted to check how many local packages were still relying on Python 2.7 vs 3.4. However, combining "--installed" with "--whatrequires" in dnf repoquery appears to be broken (more details below)


Version-Release number of selected component (if applicable):

dnf-plugins-core-0.1.11-1.fc23.noarch
dnf-1.1.1-2.fc23.noarch

How reproducible:

Always

Steps to Reproduce:
1. run 'sudo dnf repoquery --installed | wc -l'
2. run 'sudo dnf repoquery --alldeps --whatrequires 'python3' --installed | wc -l'
3. run 'sudo dnf repoquery --alldeps --whatrequires 'python' --installed | wc -l'

Actual results:

All 3 commands report the same number (2620 in my case)

Expected results:

Latter two numbers are less than the total number of installed packages, and less than or equal to the results that come up when searching the full repo metadata:

$ sudo dnf repoquery --alldeps --whatrequires 'python3' | wc -l
1172
$ sudo dnf repoquery --alldeps --whatrequires 'python' | wc -l
3550

Additional info:

System was upgraded from F22 using the dnf-system-upgrade-plugin as the fedup implementation.
Comment 1 Honza Silhan 2015-10-02 06:02:39 EDT
we will fix it.
Comment 2 Michal Luscon 2015-11-23 04:46:05 EST
Fixed in dnf-plugins-core-0.1.14-1.

Note You need to log in before you can comment on or make changes to this bug.